Package com.macrofocus.order

# Interface Order<E>

All Superinterfaces:
  `Iterable<E>`

All Known Subinterfaces:
  `MutableVisibleOrder<E>`, `VisibleOrder<E>`

All Known Implementing Classes:
  `AbstractOrder`, `DefaultVisibleOrder`

public interface Order<E> extends Iterable<E>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addOrderListener(OrderListener<E> listener)`
  Add a listener to the list that's notified each time a change to the order occurs.
  `void`
  `addWeakOrderListener(OrderListener<E> listener)`
  Add a listener to the list that's notified each time a change to the order occurs.
  `E`
  `get(int index)`
  `int`
  `indexOf(E element)`
  `E`
  `next(E element)`
  `E`
  `previous(E element)`
  `void`
  `removeOrderListener(OrderListener<E> listener)`
  Remove a listener to the list that's notified each time a change to the order occurs.
  `int`
  `size()`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

- ## Method Details

  - ### get

    E get(int index)

  - ### size

    int size()

  - ### indexOf

    int indexOf(E element)

  - ### previous

    E previous(E element)

  - ### next

    E next(E element)

  - ### addOrderListener

    void addOrderListener(OrderListener<E> listener)
    Add a listener to the list that's notified each time a change to the order occurs.
    Parameters:
      `listener` - the SelectionListener

  - ### addWeakOrderListener

    void addWeakOrderListener(OrderListener<E> listener)
    Add a listener to the list that's notified each time a change to the order occurs. The listener will automatically be disposed of should no other object have a reference to it.
    Parameters:
      `listener` - the SelectionListener

  - ### removeOrderListener

    void removeOrderListener(OrderListener<E> listener)
    Remove a listener to the list that's notified each time a change to the order occurs.
    Parameters:
      `listener` - the SelectionListener